## gvmd 24.0.0

=== CMakeLists.txt ===
# Copyright (C) 2009-2022 Greenbone AG
#
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required (VERSION 3.0)

message ("-- Configuring Greenbone Vulnerability Manager...")

project (gvm
         VERSION 24.0.0
         LANGUAGES C)

if (POLICY CMP0005)
  cmake_policy (SET CMP0005 NEW)
endif (POLICY CMP0005)

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include (FindPkgConfig)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Debug)
endif (NOT CMAKE_BUILD_TYPE)

OPTION (ENABLE_COVERAGE "Enable support for coverage analysis" OFF)
OPTION (DEBUG_FUNCTION_NAMES "Print function names on entry and exit" OFF)
# the shell based scripts got replaced by https://github.com/greenbone/greenbone-feed-sync/
OPTION (INSTALL_OLD_SYNC_SCRIPTS "Install shell based feed sync scripts" OFF)
if (INSTALL_OLD_SYNC_SCRIPTS)
  message (DEPRECATION "The version of greenbone-feed-sync included in gvmd is deprecated in favor of the newer Python version (https://github.com/greenbone/greenbone-feed-sync/) and will be removed in the next major version.")
endif (INSTALL_OLD_SYNC_SCRIPTS)

## Retrieve git revision (at configure time)
include (GetGit)
if (NOT CMAKE_BUILD_TYPE MATCHES "Release")
  if (EXISTS "${CMAKE_SOURCE_DIR}/.git/")
    if (GIT_FOUND)
      Git_GET_REVISION(${CMAKE_SOURCE_DIR} ProjectRevision)
      set (GIT_REVISION "~git-${ProjectRevision}")
    else (GIT_FOUND)
      set (GIT_REVISION "~git")
    endif (GIT_FOUND)
  endif (EXISTS "${CMAKE_SOURCE_DIR}/.git/")
endif (NOT CMAKE_BUILD_TYPE MATCHES "Release")

# Set dev version if this is a development version and not a full release,
# unset (put value 0 or delete line) before a full release and reset after.
set (PROJECT_DEV_VERSION 0)

# If PROJECT_DEV_VERSION is set, the version string will be set to:
#   "major.minor.patch~dev${PROJECT_DEV_VERSION}${GIT_REVISION}"
# If PROJECT_DEV_VERSION is NOT set, the version string will be set to:
#   "major.minor.patch${GIT_REVISION}"
# For CMAKE_BUILD_TYPE "Release" the git revision will be empty.
if (PROJECT_DEV_VERSION)
  set (PROJECT_VERSION_SUFFIX "~dev${PROJECT_DEV_VERSION}")
endif (PROJECT_DEV_VERSION)

set (PROJECT_VERSION_STRING 
"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${PROJECT_VERSION_SUFFIX}${GIT_REVISION}")

## CPack configuration

set (CPACK_CMAKE_GENERATOR "Unix Makefiles")
set (CPACK_GENERATOR "TGZ")
set (CPACK_INSTALL_CMAKE_PROJECTS ".;gvm;ALL;/")
set (CPACK_MODULE_PATH "")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set (CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.md")
set (CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/README.md")
set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_TOPLEVEL_TAG "")
set (CPACK_SYSTEM_NAME "")
set (CPACK_TOPLEVEL_TAG "")

set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_STRING}${PROJECT_VERSION_GIT}")

set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_PACKAGE_VENDOR "Greenbone AG")
set (CPACK_SOURCE_IGNORE_FILES
"${CMAKE_BINARY_DIR}"
"/.git/"
"swp$"
)

include (CPack)

## Variables

set (GVMD_DATABASE_VERSION 256)

set (GVMD_SCAP_DATABASE_VERSION 21)

set (GVMD_CERT_DATABASE_VERSION 8)

set (GMP_VERSION "22.5")
set (GMP_VERSION_FEED "22.04")

if (SYSCONF_INSTALL_DIR)
  set (SYSCONFDIR "${SYSCONF_INSTALL_DIR}")
endif (SYSCONF_INSTALL_DIR)

if (NOT SYSCONFDIR)
  set (SYSCONFDIR "/etc")
endif (NOT SYSCONFDIR)

if (NOT EXEC_PREFIX)
  set (EXEC_PREFIX "${CMAKE_INSTALL_PREFIX}")
endif (NOT EXEC_PREFIX)

if (NOT BINDIR)
  set (BINDIR "${EXEC_PREFIX}/bin")
endif (NOT BINDIR)

if (NOT SBINDIR)
  set (SBINDIR "${EXEC_PREFIX}/sbin")
endif (NOT SBINDIR)

if (NOT LIBDIR)
  set (LIBDIR "${EXEC_PREFIX}/lib")
endif (NOT LIBDIR)

if (NOT LOCALSTATEDIR)
  set (LOCALSTATEDIR "/var")
endif (NOT LOCALSTATEDIR)

if (NOT DATADIR)
  set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
endif (NOT DATADIR)

if (NOT INCLUDEDIR)
  set (INCLUDEDIR "${CMAKE_INSTALL_PREFIX}/include")
endif (NOT INCLUDEDIR)

set (GVM_SYSCONF_DIR  "${SYSCONFDIR}/gvm")

set (GVM_DATA_DIR     "${DATADIR}/gvm")
if (NOT GVMD_DATA_DIR)
  set (GVMD_DATA_DIR  "${GVM_DATA_DIR}/gvmd")
endif (NOT GVMD_DATA_DIR)

if (NOT GVM_STATE_DIR)
  set (GVM_STATE_DIR    "${LOCALSTATEDIR}/lib/gvm")
else (NOT GVM_STATE_DIR)
  set (GVM_STATE_DIR "${GVM_STATE_DIR}")
endif (NOT GVM_STATE_DIR)

if (NOT GVMD_STATE_DIR)
  set (GVMD_STATE_DIR  "${GVM_STATE_DIR}/gvmd")
endif (NOT GVMD_STATE_DIR)

if (NOT GVM_LOG_DIR)
  set (GVM_LOG_DIR    "${LOCALSTATEDIR}/log/gvm")
else (NOT GVM_LOG_DIR)
  set (GVM_LOG_DIR    "${GVM_LOG_DIR}")
endif (NOT GVM_LOG_DIR)

set (GVM_SCAP_RES_DIR "${GVM_DATA_DIR}/scap")
set (GVM_CERT_RES_DIR "${GVM_DATA_DIR}/cert")
set (GVM_CA_DIR       "${GVMD_STATE_DIR}/trusted_certs")

if (NOT GVM_LIB_INSTALL_DIR)
  set (GVM_LIB_INSTALL_DIR     "${LIBDIR}")
else (NOT GVM_LIB_INSTALL_DIR)
  set (GVM_LIB_INSTALL_DIR "${GVM_LIB_INSTALL_DIR}")
endif (NOT GVM_LIB_INSTALL_DIR)

set (GVM_SCANNER_CERTIFICATE "${GVM_STATE_DIR}/CA/servercert.pem")
set (GVM_SCANNER_KEY         "${GVM_STATE_DIR}/private/CA/serverkey.pem")
set (GVM_CLIENT_CERTIFICATE  "${GVM_STATE_DIR}/CA/clientcert.pem")
set (GVM_CLIENT_KEY          "${GVM_STATE_DIR}/private/CA/clientkey.pem")
set (GVM_CA_CERTIFICATE      "${GVM_STATE_DIR}/CA/cacert.pem")

if (NOT GVMD_RUN_DIR)
  set (GVMD_RUN_DIR      "/run/gvmd")
endif (NOT GVMD_RUN_DIR)

if (NOT GVMD_PID_PATH)
  set (GVMD_PID_PATH     "${GVMD_RUN_DIR}/gvmd.pid")
endif (NOT GVMD_PID_PATH)

if (NOT GVM_FEED_LOCK_PATH)
  set (GVM_FEED_LOCK_PATH "${GVM_STATE_DIR}/feed-update.lock")
endif (NOT GVM_FEED_LOCK_PATH)
add_definitions (-DGVM_FEED_LOCK_PATH="${GVM_FEED_LOCK_PATH}")

if (NOT OPENVAS_DEFAULT_SOCKET)
  set (OPENVAS_DEFAULT_SOCKET "/run/ospd/ospd-openvas.sock")
endif (NOT OPENVAS_DEFAULT_SOCKET)
add_definitions (-DOPENVAS_DEFAULT_SOCKET="${OPENVAS_DEFAULT_SOCKET}")

# TODO: Once we separate the RFP signatures out of "plugins" and
# into var/lib/gvm/rfpsigs/ (via a sync script) then we do not need
# to know about the NVT_DIR anymore.
if (NOT GVM_NVT_DIR)
  set (GVM_NVT_DIR "${LOCALSTATEDIR}/lib/openvas/plugins/")
endif (NOT GVM_NVT_DIR)

if (NOT DATA_OBJECTS_FEED_DIR)
  set (DATA_OBJECTS_FEED_DIR "${LOCALSTATEDIR}/lib/gvm/data-objects")
endif (NOT DATA_OBJECTS_FEED_DIR)

if (NOT GVMD_FEED_DIR)
  set (GVMD_FEED_DIR "${DATA_OBJECTS_FEED_DIR}/gvmd/${GMP_VERSION_FEED}")
endif (NOT GVMD_FEED_DIR)

if (NOT GVM_ACCESS_KEY_DIR)
  set (GVM_ACCESS_KEY_DIR "${GVM_SYSCONF_DIR}")
endif (NOT GVM_ACCESS_KEY_DIR)

if (NOT GVM_CERT_DATA_DIR)
  set (GVM_CERT_DATA_DIR "${GVM_STATE_DIR}/cert-data")
endif (NOT GVM_CERT_DATA_DIR)

if (NOT GVM_SCAP_DATA_DIR)
  set (GVM_SCAP_DATA_DIR "${GVM_STATE_DIR}/scap-data")
endif (NOT GVM_SCAP_DATA_DIR)

# System username to use when dropping privileges
if (NOT GVM_DEFAULT_DROP_USER)
  set (GVM_DEFAULT_DROP_USER "")
endif (NOT GVM_DEFAULT_DROP_USER)


# Feature toggles
if (NOT OPENVASD)
  set (OPENVASD 0)
endif (NOT OPENVASD)
add_definitions (-DOPENVASD=${OPENVASD})

if (NOT CVSS3_RATINGS)
  set (CVSS3_RATINGS 0)
endif (NOT CVSS3_RATINGS)
add_definitions (-DCVSS3_RATINGS=${CVSS3_RATINGS})

if (NOT COMPLIANCE_REPORTS)
  set (COMPLIANCE_REPORTS 1)
endif (NOT COMPLIANCE_REPORTS)
add_definitions (-DCOMPLIANCE_REPORTS=${COMPLIANCE_REPORTS})

message ("-- Install prefix: ${CMAKE_INSTALL_PREFIX}")

## Version

set (GVMD_VERSION "${PROJECT_VERSION_STRING}")

if (COMPLIANCE_REPORTS EQUAL 1)
  set(IF_COMPLIANCE_REPORTS "")
  set(ENDIF_COMPLIANCE_REPORTS "")
elseif (COMPLIANCE_REPORTS EQUAL 0)
  set(IF_COMPLIANCE_REPORTS "<!--")
  set(ENDIF_COMPLIANCE_REPORTS "-->")
endif()

# Configure Doxyfile with version number
configure_file (doc/Doxyfile.in doc/Doxyfile)
configure_file (doc/Doxyfile_full.in doc/Doxyfile_full)
configure_file (doc/Doxyfile_xml.in doc/Doxyfile_xml)
configure_file (doc/example-gvm-manage-certs.conf.in doc/example-gvm-manage-certs.conf @ONLY)
configure_file (VERSION.in VERSION)
configure_file (src/gvmd_log_conf.cmake_in src/gvmd_log.conf)
configure_file (src/schema_formats/XML/GMP.xml.in src/schema_formats/XML/GMP.xml @ONLY)
configure_file (tools/greenbone-feed-sync.in tools/greenbone-feed-sync @ONLY)
configure_file (tools/greenbone-scapdata-sync.in tools/greenbone-scapdata-sync @ONLY)
configure_file (tools/greenbone-certdata-sync.in tools/greenbone-certdata-sync @ONLY)
configure_file (tools/gvm-manage-certs.in tools/gvm-manage-certs @ONLY)

## Code coverage

OPTION (ENABLE_COVERAGE "Enable support for coverage analysis" OFF)
if (ENABLE_COVERAGE)
  set (COVERAGE_FLAGS "--coverage -ftest-coverage -fprofile-arcs")
  set (COVERAGE_DIR "${CMAKE_BINARY_DIR}/coverage")
  file (MAKE_DIRECTORY ${COVERAGE_DIR})
  message ("-- Code Coverage enabled")
endif (ENABLE_COVERAGE)

## Testing

enable_testing ()

## Program

if (DEBUG_FUNCTION_NAMES)
  # The excluded functions are for update_nvti_cache, which fills the log
  # quickly.  Hopefully this internal NVTi cache is removed soon.
  set (DEBUG_FUNCTION_NAMES_FLAGS "-finstrument-functions -finstrument-functions-exclude-function-list=iterator_string,sql_column_text,next,sql_exec_internal")
  set (LINKER_DEBUG_FLAGS "${CMAKE_DL_LIBS}")
endif (DEBUG_FUNCTION_NAMES)

set (HARDENING_FLAGS            "-Wformat -Wformat-security -D_FORTIFY_SOURCE=2 -fstack-protector")
set (LINKER_HARDENING_FLAGS     "-Wl,-z,relro -Wl,-z,now")

# To find unused functions, add: -flto -fwhole-program -ffunction-sections -Wl,--gc-sections -Wl,--print-gc-sections
set (CMAKE_C_FLAGS              "${CMAKE_C_FLAGS} -Wall -D_BSD_SOURCE -D_ISOC99_SOURCE -D_SVID_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64 ${COVERAGE_FLAGS}")

set (CMAKE_C_FLAGS_DEBUG        "${CMAKE_C_FLAGS_DEBUG} -Werror -Wshadow ${COVERAGE_FLAGS} ${DEBUG_FUNCTION_NAMES_FLAGS}")
set (CMAKE_C_FLAGS_RELEASE      "${CMAKE_C_FLAGS_RELEASE} ${HARDENING_FLAGS} ${COVERAGE_FLAGS}")

# Flags used only for the gvmd binary, and not for the Postgres module.
set (C_FLAGS_DEBUG_GVMD         "-Wredundant-decls")

if (NOT SKIP_SRC)
  add_subdirectory (src)
endif (NOT SKIP_SRC)

## Configs (e.g. systemd service file)

add_subdirectory (config)

## Documentation

add_subdirectory (doc)

## Install

install (DIRECTORY DESTINATION ${GVMD_STATE_DIR})

install (FILES ${CMAKE_BINARY_DIR}/src/gvmd_log.conf
         DESTINATION ${GVM_SYSCONF_DIR})

install (FILES ${CMAKE_SOURCE_DIR}/src/pwpolicy.conf
         DESTINATION ${GVM_SYSCONF_DIR})

# Schema formats.

install (FILES src/schema_formats/rnc.xsl
         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)

install (FILES src/schema_formats/rnc.xsl
               src/schema_formats/HTML/HTML.xsl
         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/02052818-dab6-11df-9be4-002264764cea/
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)

install (FILES src/schema_formats/HTML/generate
         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/02052818-dab6-11df-9be4-002264764cea/
         PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install (FILES src/schema_formats/rnc.xsl
               src/schema_formats/RNC/RNC.xsl

=== config/CMakeLists.txt ===
# Copyright (C) 2020-2022 Greenbone AG
#
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


if (NOT SYSTEMD_SERVICE_DIR)
  set (SYSTEMD_SERVICE_DIR "/lib/systemd/system")
endif (NOT SYSTEMD_SERVICE_DIR)

if (NOT LOGROTATE_DIR)
  set (LOGROTATE_DIR "${SYSCONFDIR}/logrotate.d")
endif (NOT LOGROTATE_DIR)

configure_file (gvmd.service.in gvmd.service)
configure_file (gvmd.logrotate.in gvmd.logrotate)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/gvmd.service
         DESTINATION ${SYSTEMD_SERVICE_DIR}/)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/gvmd.logrotate
         DESTINATION ${LOGROTATE_DIR}/ RENAME gvmd)

=== src/CMakeLists.txt ===
# Copyright (C) 2009-2022 Greenbone AG
#
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

## Libraries

find_package (Threads)

## Dependency checks
##
## TODO Also check for headers where needed.
## Improve for workflow: First collect list of missing libs, then print the
## list and throw an error, otherwise long install-cmake-install-cmake cycles
## might occur.

pkg_check_modules (CJSON REQUIRED libcjson>=1.7.14)
pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.12)
pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=22.12)
pkg_check_modules (LIBGVM_OSP REQUIRED libgvm_osp>=22.12)
pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=22.12)
pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15)
pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
pkg_check_modules (LIBBSD REQUIRED libbsd)
pkg_check_modules (LIBICAL REQUIRED libical>=1.00)
pkg_check_modules (GPGME REQUIRED gpgme)

message (STATUS "Looking for PostgreSQL...")
find_program (PG_CONFIG_EXECUTABLE pg_config DOC "pg_config")
execute_process (COMMAND ${PG_CONFIG_EXECUTABLE} --includedir-server
                 OUTPUT_VARIABLE PostgreSQL_SERVER_INCLUDE_DIRS
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
set(PostgreSQL_ADDITIONAL_SEARCH_PATHS ${PostgreSQL_SERVER_INCLUDE_DIRS})
find_package (PostgreSQL REQUIRED)
if (NOT PostgreSQL_FOUND)
  message (SEND_ERROR "The PostgreSQL library is required.")
endif (NOT PostgreSQL_FOUND)
string (REGEX MATCH "^[ \t]*\([0-9]+\)\\.\([0-9]+\)\(.*\)" TEMP "${PostgreSQL_VERSION_STRING}")
if (NOT CMAKE_MATCH_1)
  message (SEND_ERROR "Error matching PostgreSQL version.")
elseif ((CMAKE_MATCH_1 EQUAL 9 AND CMAKE_MATCH_2 LESS 6)
        OR (CMAKE_MATCH_1 LESS 9))
  message (SEND_ERROR "PostgreSQL version >= 9.6 is required")
  message (STATUS "PostgreSQL version ${CMAKE_MATCH_1}.${CMAKE_MATCH_2}${CMAKE_MATCH_3}")
endif (NOT CMAKE_MATCH_1)

message (STATUS "Looking for xsltproc...")
find_program (XSLTPROC_EXECUTABLE xsltproc DOC "xsltproc")
if (NOT XSLTPROC_EXECUTABLE)
  message (SEND_ERROR "The xsltproc binary is required.")
else (NOT XSLTPROC_EXECUTABLE)
  message (STATUS "Looking for xsltproc... ${XSLTPROC_EXECUTABLE}")
endif (NOT XSLTPROC_EXECUTABLE)

if (NOT GPGME_FOUND)
  # fallback for older gpgme versions without gpgme.pc file
  message (STATUS "Looking for gpgme...")
  find_library (GPGME gpgme)
  if (NOT GPGME)
    message (SEND_ERROR "The gpgme library is required.")
  else (NOT GPGME)
    message (STATUS "Looking for gpgme... ${GPGME}")
    execute_process (COMMAND gpgme-config --cflags
      OUTPUT_VARIABLE GPGME_CFLAGS
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    execute_process (COMMAND gpgme-config --libs
      OUTPUT_VARIABLE GPGME_LDFLAGS
      OUTPUT_STRIP_TRAILING_WHITESPACE)
  endif (NOT GPGME)
endif (NOT GPGME_FOUND)

if (WITH_LIBTHEIA)
  find_package(Theia 1.0.0 REQUIRED)
  message (STATUS "Using libtheia ${Theia_VERSION} in ${Theia_DIR}")
  add_definitions (-DHAS_LIBTHEIA="1")
  set (OPT_THEIA_TGT Theia::Theia)
else (WITH_LIBTHEIA)
  message (STATUS "Not using libtheia - licensing functions disabled")
  set (OPT_THEIA_TGT "")
endif (WITH_LIBTHEIA)

include_directories (${LIBGVM_GMP_INCLUDE_DIRS}
                     ${LIBGVM_BASE_INCLUDE_DIRS} ${LIBGVM_UTIL_INCLUDE_DIRS}
                     ${LIBGVM_OSP_INCLUDE_DIRS}  ${LIBBSD_INCLUDE_DIRS} ${GLIB_INCLUDE_DIRS})

add_library (gvm-pg-server SHARED
             manage_pg_server.c manage_utils.c)
set_target_properties (gvm-pg-server PROPERTIES SOVERSION "${CPACK_PACKAGE_VERSION_MAJOR}")
set_target_properties (gvm-pg-server PROPERTIES VERSION "${CPACK_PACKAGE_VERSION}")
include_directories (${PostgreSQL_INCLUDE_DIRS} ${PostgreSQL_SERVER_INCLUDE_DIRS})

## Program

add_executable (manage-utils-test
                EXCLUDE_FROM_ALL
                manage_utils_tests.c

                debug_utils.c
                gvmd.c gmpd.c
                ipc.c
                manage.c sql.c
                manage_acl.c manage_configs.c manage_get.c
                manage_license.c
                manage_port_lists.c manage_preferences.c
                manage_report_configs.c
                manage_report_formats.c
                manage_authentication.c
                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
                manage_sql_port_lists.c manage_sql_configs.c
                manage_sql_report_configs.c
                manage_sql_report_formats.c
                manage_sql_tickets.c manage_sql_tls_certificates.c
                manage_tls_certificates.c
                manage_migrators.c
                sql_pg.c manage_pg.c
                lsc_user.c lsc_crypt.c utils.c
                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
                gmp_license.c gmp_logout.c
                gmp_port_lists.c
                gmp_report_configs.c
                gmp_report_formats.c gmp_tickets.c
                gmp_tls_certificates.c)

add_test (manage-utils-test manage-utils-test)

add_executable (manage-test
                EXCLUDE_FROM_ALL
                manage_tests.c

                debug_utils.c
                gvmd.c gmpd.c
                ipc.c
                manage_utils.c sql.c
                manage_acl.c manage_configs.c manage_get.c
                manage_license.c
                manage_port_lists.c manage_preferences.c
                manage_report_configs.c
                manage_report_formats.c
                manage_authentication.c
                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
                manage_sql_port_lists.c manage_sql_configs.c
                manage_sql_report_configs.c
                manage_sql_report_formats.c
                manage_sql_tickets.c manage_sql_tls_certificates.c
                manage_tls_certificates.c
                manage_migrators.c
                sql_pg.c manage_pg.c
                lsc_user.c lsc_crypt.c utils.c
                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
                gmp_license.c gmp_logout.c
                gmp_port_lists.c
                gmp_report_configs.c
                gmp_report_formats.c gmp_tickets.c
                gmp_tls_certificates.c)

add_test (manage-test manage-test)

add_executable (manage-sql-test
                EXCLUDE_FROM_ALL
                manage_sql_tests.c

                debug_utils.c
                gvmd.c gmpd.c
                ipc.c
                manage_utils.c manage.c sql.c
                manage_acl.c manage_configs.c manage_get.c
                manage_license.c
                manage_port_lists.c manage_preferences.c
                manage_report_configs.c
                manage_report_formats.c
                manage_authentication.c
                manage_sql_nvts.c manage_sql_secinfo.c
                manage_sql_port_lists.c manage_sql_configs.c
                manage_sql_report_configs.c
                manage_sql_report_formats.c
                manage_sql_tickets.c manage_sql_tls_certificates.c
                manage_tls_certificates.c
                manage_migrators.c
                sql_pg.c manage_pg.c
                lsc_user.c lsc_crypt.c utils.c
                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
                gmp_license.c gmp_logout.c
                gmp_port_lists.c
                gmp_report_configs.c
                gmp_report_formats.c gmp_tickets.c
                gmp_tls_certificates.c)

add_test (manage-sql-test manage-sql-test)

add_executable (gmp-tickets-test
                EXCLUDE_FROM_ALL
                gmp_tickets_tests.c

                debug_utils.c
                gvmd.c gmpd.c
                ipc.c
                manage_utils.c manage.c sql.c
                manage_acl.c manage_configs.c manage_get.c
                manage_license.c
                manage_port_lists.c manage_preferences.c
                manage_report_configs.c
                manage_report_formats.c
                manage_authentication.c
                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
                manage_sql_port_lists.c manage_sql_configs.c
                manage_sql_report_configs.c
                manage_sql_report_formats.c
                manage_sql_tickets.c manage_sql_tls_certificates.c
                manage_tls_certificates.c
                manage_migrators.c
                sql_pg.c manage_pg.c
                lsc_user.c lsc_crypt.c utils.c
                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
                gmp_license.c gmp_logout.c
                gmp_port_lists.c
                gmp_report_configs.c
                gmp_report_formats.c
                gmp_tls_certificates.c)

add_test (gmp-tickets-test gmp-tickets-test)

add_executable (utils-test
                EXCLUDE_FROM_ALL
                utils_tests.c

                debug_utils.c
                gvmd.c gmpd.c
                ipc.c
                manage_utils.c manage.c sql.c
                manage_acl.c manage_configs.c manage_get.c
                manage_license.c
                manage_port_lists.c manage_preferences.c
                manage_report_configs.c
                manage_report_formats.c
                manage_authentication.c
                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
                manage_sql_port_lists.c manage_sql_configs.c
                manage_sql_report_configs.c
                manage_sql_report_formats.c
                manage_sql_tickets.c manage_sql_tls_certificates.c
                manage_tls_certificates.c
                manage_migrators.c
                sql_pg.c manage_pg.c
                lsc_user.c lsc_crypt.c
                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
                gmp_license.c gmp_logout.c
                gmp_port_lists.c
                gmp_report_configs.c
                gmp_report_formats.c gmp_tickets.c
                gmp_tls_certificates.c)

add_test (utils-test utils-test)

add_custom_target (tests
                   DEPENDS
                   gmp-tickets-test manage-test manage-sql-test manage-utils-test utils-test)

if (ENABLE_COVERAGE)
  add_custom_target (coverage-html
                     COMMAND gcovr --html-details ${COVERAGE_DIR}/coverage.html
                     -r ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
  add_custom_target (coverage-xml
                     COMMAND gcovr --xml ${COVERAGE_DIR}/coverage.xml
                     -r ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
  add_custom_target (coverage DEPENDS coverage-xml coverage-html)
endif (ENABLE_COVERAGE)

add_custom_target (clean-coverage
                   COMMAND find . -name *.gcda -delete -or -name *.gcno -delete
                   COMMAND rm -f ${COVERAGE_DIR}/*)


add_executable (gvmd
                main.c gvmd.c
                debug_utils.c
                gmpd.c
                ipc.c
                manage_utils.c manage.c sql.c
                manage_acl.c manage_configs.c manage_get.c
                manage_license.c
                manage_port_lists.c manage_preferences.c
                manage_report_configs.c
                manage_report_formats.c
                manage_authentication.c
                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
                manage_sql_port_lists.c manage_sql_configs.c
                manage_sql_report_configs.c

=== debian/changelog ===
gvmd (24.0.0-1) unstable; urgency=medium

  * New upstream version 24.0.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 25 Nov 2024 15:40:33 +0100

gvmd (23.10.0-1) unstable; urgency=medium

  * New upstream version 23.10.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Oct 2024 11:04:12 +0200

gvmd (23.8.1-1) unstable; urgency=medium

  * New upstream version 23.8.1
  * Add missing build-dep libcjson-dev
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Aug 2024 13:57:52 +0200

gvmd (23.6.2-1) unstable; urgency=medium

  * New upstream version 23.6.2
  * Move files to /usr (Closes: #1073695)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jun 2024 17:47:38 +0200

gvmd (23.5.2-1) unstable; urgency=medium

  * New upstream version 23.5.2
  * Update minimal version of libgvm-dev
  * Replace build-dep pkg-config with pkgconf
  * Refresh patches
  * Remove hard-coded lib (Closes: #1069332)
  * Depends on correct package postgresql-VERSION-pg-gvm
  * Update minimal required version of greenbone-feed-sync

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Apr 2024 08:58:35 +0200

=== debian/control ===
Source: gvmd
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               gnutls-bin,
               libgvm-dev (>= 22.8.0),
               libical-dev,
	       libbsd-dev,
	       libcjson-dev,
               libsqlite3-dev,
               pkgconf,
               postgresql-server-dev-all,
               xml-twig-tools,
               xmltoman,
               xsltproc
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.greenbone.net/
Vcs-Git: https://salsa.debian.org/pkg-security-team/gvmd.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/gvmd

Package: gvmd-common
Section: net
Architecture: all
Recommends: texlive-latex-extra
Depends: gnutls-bin,
         xsltproc,
         ${misc:Depends}
Multi-Arch: foreign
Suggests: gnupg, python3, python3-lxml, wget
Description: architecture independent files for Greenbone Vulnerability Manager
 The Greenbone Vulnerability Manager is the central management service between
 security scanners and the user clients.
 .
 It manages the storage of any vulnerability management configurations and of
 the scan results. Access to data, control commands and workflows is offered
 via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
 openVAS Scanner is controlled directly via protocol OTP while any other remote
 scanner is coupled with the Open Scanner Protocol (OSP).
 .
 This package contains the common gvmd files shared by all architectures.

Package: gvmd
Section: net
Architecture: any
Depends: adduser,
         doc-base,
	 greenbone-feed-sync (>= 24.1.1),
         gvmd-common (= ${source:Version}),
	 notus-scanner (>= 22.4.0),
         ospd-openvas (>= 22.4.0),
         xml-twig-tools,
         ${misc:Depends},
         ${postgresql:Depends},
         ${shlibs:Depends}
Recommends: nsis, rpm
Breaks: openvas-administrator, openvas-manager
Replaces: libopenvas6, openvas-administrator, openvas-manager
Description: Manager Module of Greenbone Vulnerability Manager
 The Greenbone Vulnerability Manager is the central management service between
 security scanners and the user clients.
 .
 It manages the storage of any vulnerability management configurations and of
 the scan results. Access to data, control commands and workflows is offered
 via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
 openVAS Scanner is controlled directly via protocol OTP while any other remote
 scanner is coupled with the Open Scanner Protocol (OSP).
 .
 This package contains the gvmd files architecture dependent.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
postgresqlversion=$(shell pkg-config --modversion libpq | cut -d '.' -f 1)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DPostgreSQL_TYPE_INCLUDE_DIR=/usr/include/postgresql -DDEFAULT_CONFIG_DIR=/etc/default -DLOGROTATE_DIR=/etc/logrotate.d -DGVM_DEFAULT_DROP_USER=_gvm -DINSTALL_OLD_SYNC_SCRIPTS=OFF -DSYSTEMD_SERVICE_DIR=/usr/lib/systemd/system

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/share/gvm/gvm-lsc-rpm-creator.sh
# store the postgresql version used for compilation so that we can check
# that we have the same version in gvm-setup / gvm-check-setup during runtime
	mkdir -p debian/tmp/usr/share/gvmd
	pkg-config --modversion libpq > debian/tmp/usr/share/gvmd/postgresql-version

override_dh_auto_test:
	# disabled because make check fails

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-indep:
	find debian/gvmd-common/usr/share/gvm/gvmd -name alert -o -name generate | \
		xargs --no-run-if-empty chmod 755
	dh_fixperms

override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_installinit:
	dh_installinit --no-start

override_dh_gencontrol:
	dh_gencontrol -- -Vpostgresql:Depends="postgresql-$(postgresqlversion), postgresql-$(postgresqlversion)-pg-gvm"

## gvmd 25.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 message ("-- Configuring Greenbone Vulnerability Manager...")
 
 project (gvm
-         VERSION 24.0.0
+         VERSION 25.2.1
          LANGUAGES C)
 
 if (POLICY CMP0005)
@@ -37,11 +37,6 @@
 
 OPTION (ENABLE_COVERAGE "Enable support for coverage analysis" OFF)
 OPTION (DEBUG_FUNCTION_NAMES "Print function names on entry and exit" OFF)
-# the shell based scripts got replaced by https://github.com/greenbone/greenbone-feed-sync/
-OPTION (INSTALL_OLD_SYNC_SCRIPTS "Install shell based feed sync scripts" OFF)
-if (INSTALL_OLD_SYNC_SCRIPTS)
-  message (DEPRECATION "The version of greenbone-feed-sync included in gvmd is deprecated in favor of the newer Python version (https://github.com/greenbone/greenbone-feed-sync/) and will be removed in the next major version.")
-endif (INSTALL_OLD_SYNC_SCRIPTS)
 
 ## Retrieve git revision (at configure time)
 include (GetGit)
@@ -69,7 +64,7 @@
   set (PROJECT_VERSION_SUFFIX "~dev${PROJECT_DEV_VERSION}")
 endif (PROJECT_DEV_VERSION)
 
-set (PROJECT_VERSION_STRING 
+set (PROJECT_VERSION_STRING
 "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${PROJECT_VERSION_SUFFIX}${GIT_REVISION}")
 
 ## CPack configuration
@@ -101,14 +96,13 @@
 
 ## Variables
 
-set (GVMD_DATABASE_VERSION 256)
-
-set (GVMD_SCAP_DATABASE_VERSION 21)
+set (GVMD_DATABASE_VERSION 259)
+
+set (GVMD_SCAP_DATABASE_VERSION 22)
 
 set (GVMD_CERT_DATABASE_VERSION 8)
 
-set (GMP_VERSION "22.5")
-set (GMP_VERSION_FEED "22.04")
+set (GMP_VERSION "22.6")
 
 if (SYSCONF_INSTALL_DIR)
   set (SYSCONFDIR "${SYSCONF_INSTALL_DIR}")
@@ -163,11 +157,13 @@
   set (GVMD_STATE_DIR  "${GVM_STATE_DIR}/gvmd")
 endif (NOT GVMD_STATE_DIR)
 
-if (NOT GVM_LOG_DIR)
-  set (GVM_LOG_DIR    "${LOCALSTATEDIR}/log/gvm")
-else (NOT GVM_LOG_DIR)
-  set (GVM_LOG_DIR    "${GVM_LOG_DIR}")
-endif (NOT GVM_LOG_DIR)
+if (NOT GVMD_LOG_FILE)
+  if (GVM_LOG_DIR)
+    set (GVMD_LOG_FILE "${GVM_LOG_DIR}/gvmd.log")
+  else (GVM_LOG_DIR)
+    set (GVMD_LOG_FILE "-")
+  endif (GVM_LOG_DIR)
+endif (NOT GVMD_LOG_FILE)
 
 set (GVM_SCAP_RES_DIR "${GVM_DATA_DIR}/scap")
 set (GVM_CERT_RES_DIR "${GVM_DATA_DIR}/cert")
@@ -215,7 +211,7 @@
 endif (NOT DATA_OBJECTS_FEED_DIR)
 
 if (NOT GVMD_FEED_DIR)
-  set (GVMD_FEED_DIR "${DATA_OBJECTS_FEED_DIR}/gvmd/${GMP_VERSION_FEED}")
+  set (GVMD_FEED_DIR "${DATA_OBJECTS_FEED_DIR}/gvmd")
 endif (NOT GVMD_FEED_DIR)
 
 if (NOT GVM_ACCESS_KEY_DIR)
@@ -247,24 +243,24 @@
 endif (NOT CVSS3_RATINGS)
 add_definitions (-DCVSS3_RATINGS=${CVSS3_RATINGS})
 
-if (NOT COMPLIANCE_REPORTS)
-  set (COMPLIANCE_REPORTS 1)
-endif (NOT COMPLIANCE_REPORTS)
-add_definitions (-DCOMPLIANCE_REPORTS=${COMPLIANCE_REPORTS})
+if (CVSS3_RATINGS EQUAL 1)
+  set(IF_CVSS3_RATINGS "")
+  set(ENDIF_CVSS3_RATINGS "")
+  set(IF_NOT_CVSS3_RATINGS "<!--")
+  set(ENDIF_NOT_CVSS3_RATINGS "-->")
+elseif (CVSS3_RATINGS EQUAL 0)
+  set(IF_CVSS3_RATINGS "<!--")
+  set(ENDIF_CVSS3_RATINGS "-->")
+  set(IF_NOT_CVSS3_RATINGS "")
+  set(ENDIF_NOT_CVSS3_RATINGS "")
+endif()
 
 message ("-- Install prefix: ${CMAKE_INSTALL_PREFIX}")
+message ("-- Log file: ${GVMD_LOG_FILE}")
 
 ## Version
 
 set (GVMD_VERSION "${PROJECT_VERSION_STRING}")
-
-if (COMPLIANCE_REPORTS EQUAL 1)
-  set(IF_COMPLIANCE_REPORTS "")
-  set(ENDIF_COMPLIANCE_REPORTS "")
-elseif (COMPLIANCE_REPORTS EQUAL 0)
-  set(IF_COMPLIANCE_REPORTS "<!--")
-  set(ENDIF_COMPLIANCE_REPORTS "-->")
-endif()
 
 # Configure Doxyfile with version number
 configure_file (doc/Doxyfile.in doc/Doxyfile)
@@ -274,9 +270,6 @@
 configure_file (VERSION.in VERSION)
 configure_file (src/gvmd_log_conf.cmake_in src/gvmd_log.conf)
 configure_file (src/schema_formats/XML/GMP.xml.in src/schema_formats/XML/GMP.xml @ONLY)
-configure_file (tools/greenbone-feed-sync.in tools/greenbone-feed-sync @ONLY)
-configure_file (tools/greenbone-scapdata-sync.in tools/greenbone-scapdata-sync @ONLY)
-configure_file (tools/greenbone-certdata-sync.in tools/greenbone-certdata-sync @ONLY)
 configure_file (tools/gvm-manage-certs.in tools/gvm-manage-certs @ONLY)
 
 ## Code coverage
@@ -353,3 +346,16 @@
 
 install (FILES src/schema_formats/rnc.xsl
                src/schema_formats/RNC/RNC.xsl
+         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/787a4a18-dabc-11df-9486-002264764cea/
+         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
+
+install (FILES src/schema_formats/RNC/generate
+         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/787a4a18-dabc-11df-9486-002264764cea/
+         PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
+
+install (FILES ${CMAKE_BINARY_DIR}/src/schema_formats/XML/GMP.xml
+         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/18e826fc-dab6-11df-b913-002264764cea/
+         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
+
+install (FILES src/schema_formats/XML/generate
+         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/18e826fc-dab6-11df-b913-002264764cea/

=== config/CMakeLists.txt ===
--- 
+++ 
@@ -15,9 +15,8 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
-
 if (NOT SYSTEMD_SERVICE_DIR)
-  set (SYSTEMD_SERVICE_DIR "/lib/systemd/system")
+  set (SYSTEMD_SERVICE_DIR "${LIBDIR}/systemd/system")
 endif (NOT SYSTEMD_SERVICE_DIR)
 
 if (NOT LOGROTATE_DIR)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,10 +27,16 @@
 ## might occur.
 
 pkg_check_modules (CJSON REQUIRED libcjson>=1.7.14)
-pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.12)
-pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=22.12)
-pkg_check_modules (LIBGVM_OSP REQUIRED libgvm_osp>=22.12)
-pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=22.12)
+pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.17)
+pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=22.17)
+pkg_check_modules (LIBGVM_OSP REQUIRED libgvm_osp>=22.17)
+pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=22.17)
+if (OPENVASD)
+    pkg_check_modules (LIBGVM_HTTP REQUIRED libgvm_http>=22.19)
+    pkg_check_modules (LIBGVM_OPENVASD REQUIRED libgvm_openvasd>=22.19)
+else (OPENVASD)
+    message (STATUS "OPENVASD flag is not enabled")
+endif (OPENVASD)
 pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15)
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
 pkg_check_modules (LIBBSD REQUIRED libbsd)
@@ -91,7 +97,7 @@
   set (OPT_THEIA_TGT "")
 endif (WITH_LIBTHEIA)
 
-include_directories (${LIBGVM_GMP_INCLUDE_DIRS}
+include_directories (${LIBGVM_GMP_INCLUDE_DIRS} ${LIBGVM_OPENVASD_INCLUDE_DIRS}
                      ${LIBGVM_BASE_INCLUDE_DIRS} ${LIBGVM_UTIL_INCLUDE_DIRS}
                      ${LIBGVM_OSP_INCLUDE_DIRS}  ${LIBBSD_INCLUDE_DIRS} ${GLIB_INCLUDE_DIRS})
 
@@ -111,27 +117,30 @@
                 gvmd.c gmpd.c
                 ipc.c
                 manage.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
-                manage_port_lists.c manage_preferences.c
-                manage_report_configs.c
-                manage_report_formats.c
-                manage_authentication.c
-                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
-                manage_sql_port_lists.c manage_sql_configs.c
-                manage_sql_report_configs.c
-                manage_sql_report_formats.c
-                manage_sql_tickets.c manage_sql_tls_certificates.c
-                manage_tls_certificates.c
-                manage_migrators.c
-                sql_pg.c manage_pg.c
-                lsc_user.c lsc_crypt.c utils.c
-                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
-                gmp_license.c gmp_logout.c
-                gmp_port_lists.c
-                gmp_report_configs.c
-                gmp_report_formats.c gmp_tickets.c
-                gmp_tls_certificates.c)
+                manage_acl.c manage_alerts.c manage_configs.c manage_events.c
+                manage_get.c manage_license.c
+                manage_port_lists.c manage_preferences.c
+                manage_report_configs.c
+                manage_report_formats.c
+                manage_authentication.c
+                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
+                manage_sql_port_lists.c manage_sql_configs.c
+                manage_sql_report_configs.c
+                manage_sql_report_formats.c
+                manage_sql_tickets.c manage_sql_tls_certificates.c
+                manage_tls_certificates.c
+                manage_migrators.c
+                sql_pg.c manage_pg.c
+                lsc_user.c lsc_crypt.c utils.c
+                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
+                gmp_license.c gmp_logout.c
+                gmp_port_lists.c
+                gmp_report_configs.c
+                gmp_report_formats.c gmp_tickets.c
+                gmp_tls_certificates.c
+                manage_sql_nvts_osp.c
+                manage_sql_nvts_openvasd.c
+                manage_sql_nvts_common.c)
 
 add_test (manage-utils-test manage-utils-test)
 
@@ -143,27 +152,30 @@
                 gvmd.c gmpd.c
                 ipc.c
                 manage_utils.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
-                manage_port_lists.c manage_preferences.c
-                manage_report_configs.c
-                manage_report_formats.c
-                manage_authentication.c
-                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
-                manage_sql_port_lists.c manage_sql_configs.c
-                manage_sql_report_configs.c
-                manage_sql_report_formats.c
-                manage_sql_tickets.c manage_sql_tls_certificates.c
-                manage_tls_certificates.c
-                manage_migrators.c
-                sql_pg.c manage_pg.c
-                lsc_user.c lsc_crypt.c utils.c
-                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
-                gmp_license.c gmp_logout.c
-                gmp_port_lists.c
-                gmp_report_configs.c
-                gmp_report_formats.c gmp_tickets.c
-                gmp_tls_certificates.c)
+                manage_acl.c manage_alerts.c manage_configs.c manage_events.c
+                manage_get.c manage_license.c
+                manage_port_lists.c manage_preferences.c
+                manage_report_configs.c
+                manage_report_formats.c
+                manage_authentication.c
+                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
+                manage_sql_port_lists.c manage_sql_configs.c
+                manage_sql_report_configs.c
+                manage_sql_report_formats.c
+                manage_sql_tickets.c manage_sql_tls_certificates.c
+                manage_tls_certificates.c
+                manage_migrators.c
+                sql_pg.c manage_pg.c
+                lsc_user.c lsc_crypt.c utils.c
+                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
+                gmp_license.c gmp_logout.c
+                gmp_port_lists.c
+                gmp_report_configs.c
+                gmp_report_formats.c gmp_tickets.c
+                gmp_tls_certificates.c
+                manage_sql_nvts_osp.c
+                manage_sql_nvts_openvasd.c
+                manage_sql_nvts_common.c)
 
 add_test (manage-test manage-test)
 
@@ -175,8 +187,8 @@
                 gvmd.c gmpd.c
                 ipc.c
                 manage_utils.c manage.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
+                manage_acl.c manage_alerts.c manage_configs.c manage_events.c
+                manage_get.c manage_license.c
                 manage_port_lists.c manage_preferences.c
                 manage_report_configs.c
                 manage_report_formats.c
@@ -195,7 +207,10 @@
                 gmp_port_lists.c
                 gmp_report_configs.c
                 gmp_report_formats.c gmp_tickets.c
-                gmp_tls_certificates.c)
+                gmp_tls_certificates.c
+                manage_sql_nvts_osp.c
+                manage_sql_nvts_openvasd.c
+                manage_sql_nvts_common.c)
 
 add_test (manage-sql-test manage-sql-test)
 
@@ -207,8 +222,8 @@
                 gvmd.c gmpd.c
                 ipc.c
                 manage_utils.c manage.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
+                manage_acl.c manage_alerts.c manage_configs.c manage_events.c
+                manage_get.c manage_license.c
                 manage_port_lists.c manage_preferences.c
                 manage_report_configs.c
                 manage_report_formats.c
@@ -227,7 +242,10 @@
                 gmp_port_lists.c
                 gmp_report_configs.c
                 gmp_report_formats.c
-                gmp_tls_certificates.c)
+                gmp_tls_certificates.c
+                manage_sql_nvts_osp.c
+                manage_sql_nvts_openvasd.c
+                manage_sql_nvts_common.c)
 
 add_test (gmp-tickets-test gmp-tickets-test)
 
@@ -239,8 +257,8 @@
                 gvmd.c gmpd.c
                 ipc.c
                 manage_utils.c manage.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
+                manage_acl.c manage_alerts.c manage_configs.c manage_events.c
+                manage_get.c manage_license.c
                 manage_port_lists.c manage_preferences.c
                 manage_report_configs.c
                 manage_report_formats.c
@@ -259,7 +277,10 @@
                 gmp_port_lists.c
                 gmp_report_configs.c
                 gmp_report_formats.c gmp_tickets.c
-                gmp_tls_certificates.c)
+                gmp_tls_certificates.c
+                manage_sql_nvts_osp.c
+                manage_sql_nvts_openvasd.c
+                manage_sql_nvts_common.c)
 
 add_test (utils-test utils-test)
 
@@ -272,28 +293,3 @@
                      COMMAND gcovr --html-details ${COVERAGE_DIR}/coverage.html
                      -r ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
   add_custom_target (coverage-xml
-                     COMMAND gcovr --xml ${COVERAGE_DIR}/coverage.xml
-                     -r ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
-  add_custom_target (coverage DEPENDS coverage-xml coverage-html)
-endif (ENABLE_COVERAGE)
-
-add_custom_target (clean-coverage
-                   COMMAND find . -name *.gcda -delete -or -name *.gcno -delete
-                   COMMAND rm -f ${COVERAGE_DIR}/*)
-
-
-add_executable (gvmd
-                main.c gvmd.c
-                debug_utils.c
-                gmpd.c
-                ipc.c
-                manage_utils.c manage.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
-                manage_port_lists.c manage_preferences.c
-                manage_report_configs.c
-                manage_report_formats.c
-                manage_authentication.c
-                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
-                manage_sql_port_lists.c manage_sql_configs.c
-                manage_sql_report_configs.c

=== debian/changelog ===
gvmd (25.2.1-1) unstable; urgency=medium

  * New upstream version 25.2.1
  * Refresh patches
  * Update debian/copyright
  * Bump Standards-Version to 4.7.2 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Apr 2025 17:00:52 +0200

gvmd (25.1.3-1) unstable; urgency=medium

  * New upstream version 25.1.3
  * Refresh patches
  * Update minimal version of libgvm22

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Mar 2025 12:34:48 +0100

gvmd (24.3.0-1) unstable; urgency=medium

  * New upstream version 24.3.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2025 14:31:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 13),
                doxygen,
                gnutls-bin,
-               libgvm-dev (>= 22.8.0),
+               libgvm-dev (>= 22.18.0),
                libical-dev,
 	       libbsd-dev,
 	       libcjson-dev,
@@ -17,7 +17,7 @@
                xml-twig-tools,
                xmltoman,
                xsltproc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.greenbone.net/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/gvmd.git
